From: Jakub Jirutka <jakub@jirutka.cz>
Date: Tue, 09 May 2023 02:12:02 +0200
Subject: [PATCH] Improve sample .yashrc

Make yash behave similarly to other shells.

--- a/share/initialization/sample
+++ b/share/initialization/sample
@@ -2,10 +2,18 @@
 # This is a sample initialization script for yash. Copy this file to ~/.yashrc
 # and add your favorite customization to it.
 
+# Load global initialization script, if exists.
+if [ -f /etc/yashrc ]; then
+  . /etc/yashrc
+fi
 
 # Firstly, load the common customization script.
 # If you don't like settings applied in this script, remove this line.
 . --autoload --no-alias initialization/common
+
+if [ -f ~/.profile ]; then
+  . ~/.profile
+fi
 
 # These are additional aliases that are not defined in the common script.
 # Uncomment to enable them.
